Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/HeuristicLab.Algorithms.ScatterSearch-3.3.csproj
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/HeuristicLab.Algorithms.ScatterSearch-3.3.csproj	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/HeuristicLab.Algorithms.ScatterSearch-3.3.csproj	(revision 17097)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Algorithms.ScatterSearch</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.ScatterSearch-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -83,7 +83,16 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
@@ -95,4 +104,5 @@
     <Compile Include="OffspringProcessor.cs" />
     <None Include="HeuristicLab.snk" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="Plugin.cs" />
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/OffspringProcessor.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.ScatterSearch {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("OffspringProcessor", "An operator that creates a subscope with subscopes for every variable in the current scope.")]
-  [StorableClass]
+  [StorableType("A89D522A-CAFF-4899-A24D-5EB463EEB03F")]
   public sealed class OffspringProcessor : SingleSuccessorOperator {
     #region Parameter properties
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    private OffspringProcessor(bool deserializing) : base(deserializing) { }
+    private OffspringProcessor(StorableConstructorFlag _) : base(_) { }
     private OffspringProcessor(OffspringProcessor original, Cloner cloner) : base(original, cloner) { }
     public OffspringProcessor()
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/Plugin.cs.frame
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/Plugin.cs.frame	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/Plugin.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/PopulationRebuildMethod.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.ScatterSearch {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("PopulationRebuildMethod", "An operator that updates the reference set and rebuilds the population.")]
-  [StorableClass]
+  [StorableType("B993B7E3-E510-4211-AD13-90517C810E34")]
   public sealed class PopulationRebuildMethod : SingleSuccessorOperator, ISingleObjectiveOperator {
     #region Parameter properties
@@ -76,5 +76,5 @@
 
     [StorableConstructor]
-    private PopulationRebuildMethod(bool deserializing) : base(deserializing) { }
+    private PopulationRebuildMethod(StorableConstructorFlag _) : base(_) { }
     private PopulationRebuildMethod(PopulationRebuildMethod original, Cloner cloner) : base(original, cloner) { }
     public PopulationRebuildMethod()
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/Properties/AssemblyInfo.cs.frame	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/Properties/AssemblyInfo.cs.frame	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ReferenceSetUpdateMethod.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.ScatterSearch {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("ReferenceSetUpdateMethod", "An operator that updates the reference set.")]
-  [StorableClass]
+  [StorableType("478625DC-87BD-4111-98D1-45A9939198C8")]
   public sealed class ReferenceSetUpdateMethod : SingleSuccessorOperator {
     #region Parameter properties
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    private ReferenceSetUpdateMethod(bool deserializing) : base(deserializing) { }
+    private ReferenceSetUpdateMethod(StorableConstructorFlag _) : base(_) { }
     private ReferenceSetUpdateMethod(ReferenceSetUpdateMethod original, Cloner cloner) : base(original, cloner) { }
     public ReferenceSetUpdateMethod()
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearch.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,5 +30,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 using HeuristicLab.Selection;
@@ -40,5 +40,5 @@
   [Item("Scatter Search (SS)", "A scatter search algorithm.")]
   [Creatable(CreatableAttribute.Categories.PopulationBasedAlgorithms, Priority = 500)]
-  [StorableClass]
+  [StorableType("B0A218C1-8D92-4BDF-AAB7-C6396612C26B")]
   public sealed class ScatterSearch : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -157,5 +157,5 @@
 
     [StorableConstructor]
-    private ScatterSearch(bool deserializing) : base(deserializing) { }
+    private ScatterSearch(StorableConstructorFlag _) : base(_) { }
     [StorableHook(HookType.AfterDeserialization)]
     private void AfterDeserialization() {
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/ScatterSearchMainLoop.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Selection;
 
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("ScatterSearchMainLoop", "An operator which represents a scatter search.")]
-  [StorableClass]
+  [StorableType("CDEB69B9-A0D9-4E84-80FD-347E16A1A8FE")]
   public sealed class ScatterSearchMainLoop : AlgorithmOperator {
     #region Parameter properties
@@ -170,5 +170,5 @@
 
     [StorableConstructor]
-    private ScatterSearchMainLoop(bool deserializing) : base(deserializing) { }
+    private ScatterSearchMainLoop(StorableConstructorFlag _) : base(_) { }
     private ScatterSearchMainLoop(ScatterSearchMainLoop original, Cloner cloner) : base(original, cloner) { }
     public ScatterSearchMainLoop() : base() { Initialize(); }
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs	(revision 15587)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/SolutionPoolUpdateMethod.cs	(revision 17097)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.ScatterSearch {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("SolutionPoolUpdateMethod", "An operator that updates the solution pool.")]
-  [StorableClass]
+  [StorableType("F295B5C8-8551-4DFC-A38C-354E14CED2E3")]
   public sealed class SolutionPoolUpdateMethod : SingleSuccessorOperator, ISingleObjectiveOperator {
     #region Parameter properties
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    private SolutionPoolUpdateMethod(bool deserializing) : base(deserializing) { }
+    private SolutionPoolUpdateMethod(StorableConstructorFlag _) : base(_) { }
     private SolutionPoolUpdateMethod(SolutionPoolUpdateMethod original, Cloner cloner) : base(original, cloner) { }
     public SolutionPoolUpdateMethod()
Index: stable/HeuristicLab.Algorithms.ScatterSearch/3.3/packages.config
===================================================================
--- stable/HeuristicLab.Algorithms.ScatterSearch/3.3/packages.config	(revision 17097)
+++ stable/HeuristicLab.Algorithms.ScatterSearch/3.3/packages.config	(revision 17097)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
